#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Info
Summary:	Module::Info perl module - information about Perl modules
Summary(pl.UTF-8):	Moduł perla Module::Info - informacje o modułach Perla
Name:		perl-Module-Info
Version:	0.37
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	72dd1a99bc124a97888cbbedc37993ca
URL:		http://search.cpan.org/dist/Module-Info/
%if %{with tests}
BuildRequires:	perl(B::Utils) >= 0.27
BuildRequires:	perl(File::Spec) >= 0.8
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Info gives you information about Perl modules without actually
loading the module. It actually isn't specific to modules and should
work on any perl code.

%description -l pl.UTF-8
Module::Info podaje informacje o modułach Perla bez wczytywania
modułu. Działanie to właściwie nie jest ograniczone do modułów i
powinno działać z dowolnym kodem w Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/module_info
%attr(755,root,root) %{_bindir}/pfunc
%{perl_vendorlib}/B/Module
%{perl_vendorlib}/Module/Info.pm
%{_mandir}/man1/module_info.1p*
%{_mandir}/man1/pfunc.1p*
%{_mandir}/man3/B::Module::Info.3pm*
%{_mandir}/man3/Module::Info.3pm*
%changelog
* Wed Apr 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Module-Info.git;a=log;h=master

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> edf4b80
- updated to 0.37

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 2bb50c9
- updated to 0.33

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 33e748f
- updated to 0.32
- conflict with original B::Utils has been resolved

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> aa5c77b
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 59c659f
- up to 0.31

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8ea6556
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 486a280
- converted to UTF-8

* Tue Jul 11 2006 Maciej Pijanka <agaran@pld-linux.org> 89268b6
- up to 0.30, rel1, builds here

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 99be006
- updated to 0.28

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7181a86
- formatting

* Mon Jul 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 44cb8a2
- updated to 0.26

* Fri May 07 2004 ankry <ankry@pld-linux.org> d434eaf
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 853d941
- fixed perl-devel BR

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> 9bdbd5e
- license fixes / unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> cef5d2a
- cosmetics, unification

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> f813cc7
- updated to 0.24, new-style bcond, License is known since 0.21

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 07f6331
- updated to 0.23

* Wed Sep 03 2003 Adam Gołębiowski <adamg@pld-linux.org> a9c6efa
- updated to 0.22

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 0e8da3d
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 Jakub Bogusz <qboosh@pld-linux.org> d46b475
- cosmetics and Vendor from RA-branch, up to 0.20

